﻿using AbstractFoodOrdersDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersContracts.BindingModels
{
    public class DishBindingModel : IDishModel
    {
        public int Id { get; set; }
        public string DishName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> DishComponents { get; set; } = new();
    }

}
