﻿using AbstractFoodOrdersContracts.Attributes;
using AbstractFoodOrdersDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersContracts.ViewModels
{
    public class ComponentViewModel : IComponentModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "Название компонента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ComponentName { get; set; } = string.Empty;
		[Column(title: "Цена", width: 50)]
		public double Cost { get; set; }
	}

}
