﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersDataModels.Models
{
    public interface IDishModel : IId
    {
        string DishName { get; }
        double Price { get; }
        Dictionary<int, (IComponentModel, int)> DishComponents { get; }
    }
}
